Package net.md_5.bungee.util

# Class CaseInsensitiveSet

java.lang.Object
java.util.AbstractCollection<K>
it.unimi.dsi.fastutil.objects.AbstractObjectCollection<K>
it.unimi.dsi.fastutil.objects.AbstractObjectSet<K>
it.unimi.dsi.fastutil.objects.ObjectOpenCustomHashSet<String>
net.md_5.bungee.util.CaseInsensitiveSet

All Implemented Interfaces:
  `it.unimi.dsi.fastutil.Hash`, `it.unimi.dsi.fastutil.objects.ObjectCollection<String>`, `it.unimi.dsi.fastutil.objects.ObjectIterable<String>`, `it.unimi.dsi.fastutil.objects.ObjectSet<String>`, `Serializable`, `Cloneable`, `Iterable<String>`, `Collection<String>`, `Set<String>`

public class CaseInsensitiveSet extends it.unimi.dsi.fastutil.objects.ObjectOpenCustomHashSet<String>

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface it.unimi.dsi.fastutil.Hash

  `it.unimi.dsi.fastutil.Hash.Strategy<K extends Object>`

- ## Field Summary

  ### Fields inherited from class it.unimi.dsi.fastutil.objects.ObjectOpenCustomHashSet

  `containsNull, f, key, mask, maxFill, minN, n, size, strategy`

  ### Fields inherited from interface it.unimi.dsi.fastutil.Hash

  `DEFAULT_GROWTH_FACTOR, DEFAULT_INITIAL_SIZE, DEFAULT_LOAD_FACTOR, FAST_LOAD_FACTOR, FREE, OCCUPIED, PRIMES, REMOVED, VERY_FAST_LOAD_FACTOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CaseInsensitiveSet()`
  `CaseInsensitiveSet(Collection<? extends String> collection)`

- ## Method Summary

  ### Methods inherited from class it.unimi.dsi.fastutil.objects.ObjectOpenCustomHashSet

  `add, addAll, addOrGet, clear, clone, contains, ensureCapacity, forEach, get, hashCode, isEmpty, iterator, rehash, remove, shiftKeys, size, spliterator, strategy, trim, trim`

  ### Methods inherited from class it.unimi.dsi.fastutil.objects.AbstractObjectSet

  `equals`

  ### Methods inherited from class it.unimi.dsi.fastutil.objects.AbstractObjectCollection

  `toString`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll, removeAll, retainAll, toArray, toArray`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream`

  ### Methods inherited from interface java.util.Set

  `containsAll, removeAll, retainAll, toArray, toArray`

- ## Constructor Details

  - ### CaseInsensitiveSet

    public CaseInsensitiveSet()

  - ### CaseInsensitiveSet

    public CaseInsensitiveSet(Collection<? extends String> collection)